
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,600;1,500&family=Pacifico&family=Poppins:ital,wght@0,400;0,500;0,600;1,300&display=swap');
:root{
    --header-height:3.9rem;

    --Elements-color:#5c5c5c;
    --navbar-color:#59a30e;
    --logo-color:#00afef;;
    --bg-color:#fff;
    --body-color:lightgray;
    --content-color:#000;
}
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    text-decoration: none;
    list-style: none;
    font-family: 'Poppins',sans-serif;
}
html{
    scroll-behavior: smooth;
    scroll-padding: 10rem;
}
html,body{
    overflow-x: hidden;
    width: 100%;
    height: 100%;
    margin: 0px;
    padding: 0px;
}
body{
    background-color: var(--body-color);
}
img{
    width: 100%;
}
header{
    position: fixed;
    width: 100%;
    height: 70px;
    background-color: var(--bg-color);
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 40px;
    border-radius: 0 0 10px 10px;
    margin: 0 auto;
}
.logo{
    width: 120px;
    margin-top: 8px;
}
nav .logo{
    display: none;
}
nav ul{
    display: flex;
}
nav ul li a{
    color: var(--content-color);
    display: block;
    margin: 0 2px;
    font-weight: 100;
    padding: 8px 18px;
    transition: 0.2s;
    border-radius: 5px;
}
nav ul li a:hover{
   background:#f6f4ff;
}
nav ul li a.active{
   background-color:var(--logo-color);
   color: #fff;
}
.Hamburger{
    display: none;
    height: fit-content;
    padding: 3px 8px;
    border-radius: 5px;
    transition: 0.2s;
}
.Hamburger:hover{
    background-color: #f6f4ff;
}
.Hamburger div{
    width: 30px;
    height: 2px;
    margin: 6px 0;
    background:#000;
}
@media only screen and (max-width:1100px){
    header{
        width: 100%;
        padding: 0 20px;
    }
    nav{
        position: absolute;
        left: -300px;
        top: 0;
        z-index: 999;
        width: 280px;
        height: 100vh;
        background-color: #f6f4ff;
        transition: 0.2s;
        box-shadow: 2px 0 20px 0 rgba(0, 0, 0, 0.05);

    }
    #nav_check:checked ~ nav{
        left: 0;
    }

    nav .logo{
        display: block;
        height: 70px;
        display: flex;
        align-items: center;
        margin-left: 30px;

    }
    nav ul li a{
        margin-bottom: 15px;
        padding: 10px 18px;
        border-radius: 5px;
    }
    nav ul li a:hover{
        background-color: var(--logo-color);
    }
    nav ul{
        display: block;
        padding: 0 20px;
    }
    .Hamburger{
        display: block;
        cursor: pointer;
    }
}
/* --------HOME PAGE------ */

.slideShow-container{
    max-width: 100%;
    margin: auto;
}
.mySlides{
    display: none;
}
img{
    vertical-align: middle;
    width: 100%;
}
.numberText{
    background-color: var(--bg-color);
    display: flex;
    justify-content: center;
    align-items: center;
    color: #000;
    font-size: 12px;
    padding: 0px 0;
}
.dot{
    height: 10px;
    width: 10px;
    margin: 0 2px;
    background-color: #bbb;
    border-radius: 50%;
    cursor: pointer;
    display: inline-block;
    transition: background-color 0.6s ease;
}

.active{
    background-color: #717171;
}
.fade{
    animation-name: fade;
    animation-duration: 1.5s;
}
@keyframes fade{
    from{
        opacity: .4;
    }
    to{
        opacity: 1;
    }
}
@media only screen and (max-width:300px){
    img{
        object-fit: cover;
        height: 350px;
    }
}

/* -----about page---- */
.about-section-row{
    display: grid;
    place-items: center;
    width: 100%;
    grid-template-columns: repeat(2, 1fr);
    background-color: var(--bg-color);
    grid-gap: 50px 30px;
}
.about-section-row .about-section-left{
    overflow: hidden;
}
.about-section-row .about-section-left img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.about-section-left img{
    box-sizing: border-box;
    border: 1px solid #bbb;
    box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
}
.about-section-row .about-section-right{
    display: flex;
    align-items: center;
}
.about-section-row .about-section-right .about-section-content{
    padding-left: 20px;
}
.Border{
    width: 120px;
    height: 3px;
    background-color: #6ab04c;
    margin-right: 30px;
    margin: 20px auto;
}

.about-section-content h1{
    font-size: 26px;
    font-weight: 600;
    padding-left: 40%;
    text-transform: uppercase;
    margin-top: 20px;
    margin-bottom: 20px;
}
.about-section-content h1 span{
    color:#00afef;
}
.about-section-row .about-section-right .about-section-content p{
    font-size: 16px;
    line-height: 26px;
    padding-bottom: 15px;
}
@media (max-width:991px){
    .about-section-row .about-section-right .about-section-content{
        padding-left: 0;
    }
}
@media(max-width:768px){
    .about-section-row{
        width: 100%;
        height: 550px;
        grid-template-columns:1fr;
    }

}


/* ----------Products--------- */

.Products-section{
    margin: 20px;
    padding-right: -20px;
}
.Products-section h1{
    font-size: 34px;
    font-weight: 600;
}
.Products-section h2{
    color: var(--logo-color);
    margin-left: 30%;
}
.Products-section h2 span{
    color: #59a30e;
}
@media(max-width:990px){
    .Products-section{
        padding: 25px;
    }
    .Products-section h1{
        font-size: 25px;
    }
}
.gallery{
    background-color: var(--bg-color);
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    justify-content: center;
    align-items: center;
    padding-top: 10rem;
}
.content{
    border: 1px solid #bbb;
    width: 20%;
    margin: 15px;
    box-sizing: border-box;
    float: left;
    text-align: center;
    border-radius: 20px;
    cursor: pointer;
    padding-top: 10px;
    box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
    transition: .4s;
    background:var(--bg-color);
}
.content:hover{
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
    transform: translate(0px, -8px);
}
.content img{
    width: 200px;
    height: 200px;
    text-align: center;
    margin: 0 auto;
    display: block;
}
p{
    text-align: center;
    font-size: 16px;
    color: var(--content-color);
    padding-top: 0 8px;
}
.italic{
    text-align: center;
    font-size: 14px;
    color: #59a30e;
}
h6{
    font-size: 26px;
    text-align: center;
    color: #222f3e;
}
ul{
    list-style: none;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0;
}
li{
    padding: 5px;
}
.fa{
    color:#bbb;
    font-size: 26px;
    transition: .4s;
}
.fa-regular{
    color:#bbb;
    font-size: 26px;
    transition: .4s;
    color: rgb(248, 216, 36);
}
.checked{
    color: rgb(248, 216, 36);
}
.fa:hover,
.fa-regular:hover{
    transform: scale(1.3);
    transition: .6s;
}
.Add-to-cart-btn{
    text-transform: uppercase;
    text-align: center;
    font-size: 24px;
    color: #fff;
    width: 100%;
    padding: 15px;
    border: 0;
    outline: none;
    cursor: pointer;
    margin-top: 5px;
    border-bottom-right-radius: 20px;
    border-bottom-left-radius: 20px;
}
.buy-1{
    background-color: #1b3358;
}
.buy-2{
    background-color: #000;
}
.buy-3{
    background-color: #072e33;
}
.buy-4{
    background-color:#522b5b;
}
.buy-5{
    background-color: #662549;
}
.buy-6{
    background-color: #ae445a;
}
.buy-7{
    background-color: #06142e;
}
@media(max-width:1200px){
    .content{
        width: 45%;
    }
}
@media(max-width:750px){
    .content{
        width: 100%;
    }
}

/* ----------Blogs------------ */
.blog{
    background-color: var(--bg-color);
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    justify-content: center;
    align-items: center;
    padding-top: 10rem;
}

.blog h1{
    padding-right:9rem;
    font-size: 30px;
    font-weight: 600;
}
.blog h1 span{
    color: #00afef;
}
.Blog-container{
    border: 1px solid #bbb;
    width: 20%;
    margin: 15px;
    float: left;
    box-sizing: border-box;
    border-radius: 20px;
    text-align: center;
    cursor: pointer;
    padding-top: 10px;
    box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
    transition: .4s;
    background:var(--bg-color);
}
.Blog-container:hover{
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
    transform:scale(0.9);
}
.Blog-container img{
    width: 200px;
    height: 200px;
    text-align: center;
    margin: 0 auto;
    display: block;
}
.Blog-container h2{
    font-size: 20px;
    font-weight: 500;
    padding-bottom: 20px;
}
.Blog-container p{
    padding-bottom: 20px;
    font-weight: 100;
    text-align: center;
    font-size: 14px;
    color: var(--content-color);
    padding-top: 0 8px;
}
.Blog-container p a{
    font-size: 16px;
}
@media(max-width:1200px){
    .Blog-container{
        width: 45%;
    }
}
@media(max-width:750px){
    .blog h1{
        margin-left: 30%;
        padding-bottom: 50px;
    }
    .Blog-container{
        width: 100%;
    }
}
/* ----------------Review Section---------- */
.testimonals{
    padding: 40px;
    background: var(--bg-color);
    color:#000;
    text-align: center;
}
.inner{
    max-width: 1200px;
    margin: auto;
    overflow: hidden;
    padding: 0 20px;

}
.inner h1{
    text-transform: uppercase;
    font-size: 32px;
    padding-top: 30px;
}
.inner h1 span{
    color: #00afef;
}
.border{
    width: 160px;
    height: 5px;
    background-color: #6ab04c;
    margin: 26px auto;
}
.testimonals-row{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}
.testimonals-col{
    flex: 33.33%;
    max-width: 33.33%;
    box-sizing: border-box;
    padding: 15px;
}
.testimonal{
    background-color: #fff;
    box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
    padding: 30px;
}
.testimonal img{
    width: 100px;
    height: 100px;
    object-fit: cover;
    border-radius: 50%;
}
.name{
    font-size: 20px;
    text-transform: uppercase;
    margin: 20px 0;
}
.stars{
    color: #6ab04c;
    margin-bottom: 20px;
}
.fas{
    font-size: 26px;
    transition: .4s ease;
    padding: 5px;
}
.fas:hover{
    transform: scale(1.3);
}
@media(max-width:960px){
    .testimonals-col{
        flex: 100%;
        max-width: 80%;
    }
}
@media(max-width:600px){
    .testimonals-col{
        flex: 100%;
        max-width: 100%;
    }
}

/* -------Contact us ---------- */
.contactus{
    background: linear-gradient(90deg, #fff 0%, #fff 30%, #00afef 30%, #00afef 100%);
    position: relative;
    width: 100%;
    padding: 40px 120px;
}
.contactus .title{
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2rem;
    padding-bottom: 30px;
    padding-top: 30px;
}
.form{
    grid-area: form;
}
.info{
    grid-area: info;
}
.map{
    grid-area: map;
}
.contact{
    padding: 40px;
    box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
    background: #fff;
}
.contact h3{
    color: #000;
    font-weight: 500;

}
.contactus-Box{
    position: relative;
    display: grid;
    grid-template-columns: 2fr 1fr;
    grid-template-rows: 5fr 4fr;
    grid-template-areas: 
    "form info"
    "form map";
    grid-gap: 20px;
    margin-top: 20px;

}
/*  form */
.formBox{
    position: relative;
    width: 100%;
}
.formBox .row50{
    display: flex;
    gap: 20px;
}
.inputBox{
    display: flex;
    flex-direction: column;
    margin-bottom: 10px;
    width: 50%;
}
.formBox .row50 .inputBox{
    width: 100%;

}
.inputBox span{
    color: #00afef;
    margin-top: 10px;
    margin-bottom: 5px;
    font-weight: 500;
}
.inputBox input{
    padding: 10px;
    font-size: 1.1rem;
    outline: none;
    border: 1px solid #bbb;
}
.inputBox textarea{
    padding: 10px;
    font-size: 1.1rem;
    outline: none;
    border: 1px solid #bbb;
    resize: none;
    min-height: 220px;
    width: 750px;
    margin-bottom: 10px;
}
.inputBox input[type="submit"]{
    background-color: #59a30e;
    border: none;
    font-size: 20px;
    font-weight: 500;
    cursor: pointer;
    width: 150px;
    transition: .4s;
}
.inputBox input[type="submit"]:hover{
    background-color: transparent;
    border: 1px solid #bbb;
}

/* ----- infoo------ */
.info .infoBox div{
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}
.info .infoBox div span{
    min-width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    border-radius: 50%;
    border: 1px solid #bbb;
    background-color: #00afef;
    align-items: center;
    font-size: 1.5rem;
    margin-right: 15px;
}

.info .infoBox div p{
    color: #000;
    font-size: 1.1em;
}
.info .infoBox div a{
    color: #000;
    font-size: 1.1em;
}
.sci{
    margin-top: 40px;
    display: flex;
}
.sci li{
    margin-right: 15px;
    font-size: 20px;
    color: #000;
}
/*--------- map--------- */
.map{
    padding: 0;
}
.map iframe{
    width: 100%;
    height: 100%;
}
/* media querries for Contact us */
@media(max-width:990px){
    .contactus{
        background-color: #00afef;
        padding: 20px;
    }
    .contactus-Box{
        position: relative;
        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: auto;
        grid-template-areas: 
        "form"
        "info"
        "map"
        ;
    }
    .formBox .row50{
        display: flex;
        gap: 0;
        flex-direction: column;
    }
    .inputBox{
        width: 100%;
    }
    .contact{
        padding: 30px;
    }
    .map{
        padding: 30px;
        min-height: 300px;
    }
}

/* -----------footer-------- */
footer{
    background-color: #000000;
}
.footerContainer{
    width: 100%;
    padding: 70px 30px 20px;
}
.footer-social-icons{
    display: flex;
    justify-content: center;
    align-items: center;

}
.footer-social-icons a{
    padding: 20px;
    background-color: #fff;
    margin: 10px;
    border-radius: 50%;
}
.footer-social-icons a i{
    font-size: 25px;
    color: #000;
    opacity: 0.9;
}
.footer-social-icons a:hover{
    background-color: #000;
    transition: 0.5s;
}
.footer-social-icons a:hover i{
    color: #fff;
    transition: 0.5s;
}
.footer-Nav ul{
    display: flex;
    justify-content: center;
    margin: 50px;
}
.footer-Nav ul li a{
    color: #fff;
    margin: 20px;
    font-size: 16px;
    padding: 10px;
    opacity: 0.9;
    transition: 0.5s;
    border: 1px solid #bbb ;
}
.footer-Button{
    background-color: #000000;
    padding: 20px;
    text-align: center;
    color: #fff;
}
.footer-Button p{
    color: #fff;
}
.designer{
    opacity: 2;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-size: 20px;
    font-weight: 600;
    color: #00afef;
    margin: 0px 5px;
}
@media(max-width:700px){
    .footer-Nav ul{
        flex-wrap: wrap;
    }
    .footer-Nav ul li{
        border: none;
        text-align: center;
        margin: 10px;
    }
    .designer{
        padding: 20px;
    }
}